Mail archive
alpine-aports

[alpine-aports] [PATCH 3/5] main/s6-portable-utils: move to main

From: Christian Kampka <christian_at_kampka.net>
Date: Sun, 27 Sep 2015 19:33:55 +0200

---
 main/s6-portable-utils/APKBUILD    | 49 ++++++++++++++++++++++++++++++++++++++
 testing/s6-portable-utils/APKBUILD | 49 --------------------------------------
 2 files changed, 49 insertions(+), 49 deletions(-)
 create mode 100644 main/s6-portable-utils/APKBUILD
 delete mode 100644 testing/s6-portable-utils/APKBUILD
diff --git a/main/s6-portable-utils/APKBUILD b/main/s6-portable-utils/APKBUILD
new file mode 100644
index 0000000..fd00ee2
--- /dev/null
+++ b/main/s6-portable-utils/APKBUILD
_at_@ -0,0 +1,49 @@
+# Contributor: John Regan <john_at_jrjrtech.com>
+# Maintainer: John Regan <john_at_jrjrtech.com>
+pkgname=s6-portable-utils
+pkgver=2.0.5.2
+pkgrel=0
+pkgdesc="skarnet.org's tiny portable generic utilities"
+url="http://skarnet.org/software/$pkgname/"
+arch="all"
+license="ISC"
+depends="skalibs"
+depends_dev="skalibs-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--enable-shared \
+		--enable-static \
+		--disable-allstatic \
+		--prefix=/usr \
+		--libdir=/usr/lib \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="bda96373eda48b61c6283439a7619a36  s6-portable-utils-2.0.5.2.tar.gz"
+sha256sums="f54b52628efb1406f05a774fe67793a1f0cd18447e8160452579a9603edead34  s6-portable-utils-2.0.5.2.tar.gz"
+sha512sums="6d07ae6c1f4ccc49cd40827dce15d1578f91fc89d68ab2267dfe2946422d66b044989f2e7885a2aa9761fe9e3ca1b34c7f2c228526fec204c13e77f1e3dcd4fc  s6-portable-utils-2.0.5.2.tar.gz"
diff --git a/testing/s6-portable-utils/APKBUILD b/testing/s6-portable-utils/APKBUILD
deleted file mode 100644
index fd00ee2..0000000
--- a/testing/s6-portable-utils/APKBUILD
+++ /dev/null
_at_@ -1,49 +0,0 @@
-# Contributor: John Regan <john_at_jrjrtech.com>
-# Maintainer: John Regan <john_at_jrjrtech.com>
-pkgname=s6-portable-utils
-pkgver=2.0.5.2
-pkgrel=0
-pkgdesc="skarnet.org's tiny portable generic utilities"
-url="http://skarnet.org/software/$pkgname/"
-arch="all"
-license="ISC"
-depends="skalibs"
-depends_dev="skalibs-dev"
-makedepends="$depends_dev"
-install=""
-subpackages="$pkgname-dev"
-source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
-
-_builddir="$srcdir/$pkgname-$pkgver"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
-
-build() {
-	cd "$_builddir"
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--enable-shared \
-		--enable-static \
-		--disable-allstatic \
-		--prefix=/usr \
-		--libdir=/usr/lib \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="bda96373eda48b61c6283439a7619a36  s6-portable-utils-2.0.5.2.tar.gz"
-sha256sums="f54b52628efb1406f05a774fe67793a1f0cd18447e8160452579a9603edead34  s6-portable-utils-2.0.5.2.tar.gz"
-sha512sums="6d07ae6c1f4ccc49cd40827dce15d1578f91fc89d68ab2267dfe2946422d66b044989f2e7885a2aa9761fe9e3ca1b34c7f2c228526fec204c13e77f1e3dcd4fc  s6-portable-utils-2.0.5.2.tar.gz"
-- 
2.5.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Sep 27 2015 - 19:33:55 GMT